# Method: accounts.creatives.dealAssociations.remove

- [HTTP request](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/remove#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/remove#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/remove#body.request_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/remove#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/remove#body.response_body)
- [Authorization Scopes](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/remove#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/remove#try-it)

Remove the association between a deal and a creative.

### HTTP request

`POST https://adexchangebuyer.googleapis.com/v2beta1/accounts/{association.accountId}/creatives/{association.creativeId}/dealAssociations:remove`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `association.accountId` | `string` The account the creative belongs to. |
| `association.creativeId` | `string` The ID of the creative associated with the deal. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "association": { "accountId": string, "creativeId": string, "dealsId": string } } ``` |

| Fields ||
|---|---|
| `association.dealsId` | `string` The externalDealId for the deal associated with the creative. |

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adexchange.buyer`